package net.wanji.web.controller.scheme;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiResponse;
import io.swagger.annotations.ApiResponses;
import net.wanji.web.common.entity.JsonViewObject;
import net.wanji.web.dto.SaveSchemeConfigDTO;
import net.wanji.web.service.scheme.impl.SchemeConfigServiceImpl;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.ws.rs.core.MediaType;

/**
 * @author Kent HAN
 * @date 2023/1/5 10:23
 */
@Api(value = "CrossConfigController", description = "方案管理-方案配置")
@RequestMapping("/schemeConfig")
@RestController
public class SchemeConfigController {
    private final SchemeConfigServiceImpl schemeConfigService;

    public SchemeConfigController(SchemeConfigServiceImpl schemeConfigService) {
        this.schemeConfigService = schemeConfigService;
    }

    @ApiOperation(value = "保存方案配置", notes = "保存方案配置", response = JsonViewObject.class,
            produces = MediaType.APPLICATION_JSON, consumes = MediaType.APPLICATION_JSON)
    @PostMapping(value = "/saveSchemeConfig",
            produces = MediaType.APPLICATION_JSON, consumes = MediaType.APPLICATION_JSON)
    @ApiResponses({
            @ApiResponse(code = 200, message = "OK", response = JsonViewObject.class),
    })
    public JsonViewObject saveSchemeConfig(@RequestBody SaveSchemeConfigDTO saveSchemeConfigDTO) {
        schemeConfigService.saveSchemeConfig(saveSchemeConfigDTO);
        JsonViewObject jsonViewObject = JsonViewObject.newInstance();

        return jsonViewObject.success();
    }
}
